package main

import "testing"

func TestStringSet(t *testing.T) {
	ss := newStringSet()
	ss.add("foo")
	ss.add("bar")
	ss.add("baz")

	want := "bar:baz:foo"
	if got := ss.String(); got != want {
		t.Errorf("ss.String() = %q, want %q", got, want)
	}
}
